/******************************************************************************
 * Icinga 2                                                                   *
 * Copyright (C) 2012 Icinga Development Team (http://www.icinga.org/)        *
 *                                                                            *
 * This program is free software; you can redistribute it and/or              *
 * modify it under the terms of the GNU General Public License                *
 * as published by the Free Software Foundation; either version 2             *
 * of the License, or (at your option) any later version.                     *
 *                                                                            *
 * This program is distributed in the hope that it will be useful,            *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of             *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *
 * GNU General Public License for more details.                               *
 *                                                                            *
 * You should have received a copy of the GNU General Public License          *
 * along with this program; if not, write to the Free Software Foundation     *
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ******************************************************************************/

#include "base/convert.h"
#include <sstream>
#include <boost/lexical_cast.hpp>

using namespace icinga;

long Convert::ToLong(const String& val)
{
	return boost::lexical_cast<long>(val);
}

double Convert::ToDouble(const String& val)
{
	return boost::lexical_cast<double>(val);
}

bool Convert::ToBool(const String& val)
{
	return (ToLong(val) != 0);
}

String Convert::ToString(const Value& val)
{
	return static_cast<String>(val);
}
